it-swarm.asia

Ben alıyorum PHP Tarih/Saat kütüphanesi web sunucunuz tarafından desteklenmiyor. "CentOS Host cihazımda destek eklemek için hangi kütüphaneyi kurmam gerekiyor?

Etrafa biraz baktım ama PHP becerilerim oldukça gelişiyor. Kurulumu gereken bir paket olduğundan eminim.

Kurulum hakkında ek bilgi eklemek için Düzenle:

Kullanımı:

yum info php

PHP sürümünü 5.1.6 olarak alıyorum:

Name       : php
Arch       : i386
Version    : 5.1.6

Daha fazla bilgi, bu GoDaddy'de CentOS çalışan bir VM:

CentOS release 5.4 (Final)
1
Larry Smithmier

PHP 5.2 veya üstüne yükseltin

Gördüğünüz hata mesajı WordPress'e aittir. Temel olarak söylediği şey yanıltıcıdır, bu özelliğin çalışması için PHP sürüm> = 5.2 değerine ihtiyacınız vardır.

Lütfen işletim sisteminizin belgelerine bakın veya PHP sürümünüzü nasıl güncelleyeceğinizle ilgili teknik desteğe başvurun. CentOS için, örneğin: CentOS HowTos: PHP 5,1 - 5,2

Zaman Dilimlerini Yükseltilmiş Tut

En iyi şekilde yararlanmak için PHP Timezone desteği , en son güncellemeleri içeren bir PECL paketi vardır: timezonedb .

Böylece, yeni bir sürüme PHP yükseltmenin yanında, bu PECL paketini yükleyebilir ve en son saat dilimi güncellemelerini almak için güncel tutabilirsiniz (sonuncusu 16 Ağustos’ta):

$ yum install php-pear php-devel
$ pecl install timezonedb
3
hakre

wp-admin/options-general.php, aşağıdaki hata mesajını verir:

Ne yazık ki, gün ışığından yararlanma saati için bunu manuel olarak güncellemelisiniz. PHP Tarih/Saat kütüphanesi web sunucunuz tarafından desteklenmiyor.

Aşağıdaki PHP tarafından sağlanan işlevler eksikse, bu kod bloğunu verir:

Bu işlevlerin çoğu DateTime sınıf ailesi tarafından sağlanır. Bunlar, söz konusu işleve bağlı olarak 5.1/5.2 sürümünden bu yana PHP çekirdeğinin bir parçası olmuştur. Bir cevabın açıklanmasını istemekten nefret etmeme rağmen: Hostunuz hangi PHP versiyonunu kullanıyor?

1
Annika Backstrom

Smithmier **:

UPDATE: Güncellemenize göre bunun sizin için geçerli olmadığını, ancak aynı problemi olan birçok kişi için geçerli olacağını ve soruların genel cevaplarını aradığımızı görüyorum. Bu bırakacağım birden fazla kişi için geçerli.


@Hakre'nin doğru olduğunu ve eğer öyleyse ve ise web sunucunuz web barındırma hesabınızın teknik parçalarını yönetmeniz için CPanel sunar o zaman burada PHP sürümünüzü değiştirebilirsiniz:

Screenshot for PHP Configuration on CPanel
(kaynak: mikeschinkel.com )

Bu da sizi PHP versiyonunuzu değiştirebileceğiniz bu ekrana götürür:

Changing your version of PHP on CPanel
(kaynak: mikeschinkel.com )

1
MikeSchinkel